14e4:4365 [Dell Inspiron 15 3521] Regulatory domain is not set by default after install for wifi

Bug #1280636 reported by zebul666 on 2014-02-15
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
crda (Ubuntu)
Undecided
Unassigned
linux (Ubuntu)
Low
Unassigned

Bug Description

After installation of ubuntu 13.10, /etc/default/crda contains the line
REGDOMAIN=
i.e. there is no regulatory domain set for the cfg80211 kernel module.

iw reg get shows a
country 00
when I run iw list, it shows channel 12 and 13 as
"(passive scanning, no IBSS)"
(which is normal given that the reg domain is not set or the default one)

hence, I can't even see a public wifi hotspot on channel 13 using ubuntu 13.10, in a local fast food restaurant with a big yellow M. It's the second one, and they really like to broadcast on channel 13, here....

As the installation process knowns the local time, it should be able to set the regulatory domain, either to EU or FR in my case, and avoid being forced to reboot into Windows (I had the option to), ignoring the root cause of the problem.

So, if I quote the text in comment in /etc/default/crda, every default ubuntu installation "may infrige on local legislature" (not in my case here)

the bug is already in ubuntu 12.04 LTS.

this is irrelevant but I use the bcmwl-kernel-source driver for my Dell 1704 Wireless card based on broadcom BCM4312 chipset on an Inspiron 15 (3521).

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: crda 1.1.2-1ubuntu2
ProcVersionSignature: Ubuntu 3.11.0-15.25-generic 3.11.10
Uname: Linux 3.11.0-15-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.12.5-0ubuntu2.2
Architecture: amd64
Date: Sat Feb 15 17:39:41 2014
EcryptfsInUse: Yes
InstallationDate: Installed on 2014-01-22 (23 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
MarkForUpload: True
SourcePackage: crda
UpgradeStatus: No upgrade log present (probably fresh install)
mtime.conffile..etc.default.crda: 2014-02-15T17:20:58.815551
---
ApportVersion: 2.13.2-0ubuntu5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: lightdm 1512 F.... pulseaudio
                      solstice 2146 F.... pulseaudio
DistroRelease: Ubuntu 14.04
HibernationDevice: RESUME=UUID=da042858-6f7c-43ab-be22-cdfc22c75f24
InstallationDate: Installed on 2014-03-01 (0 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64 (20140301)
MachineType: Dell Inc. Inspiron 3521
NonfreeKernelModules: wl
Package: linux (not installed)
ProcEnviron:
 LANGUAGE=en
 TERM=xterm
 PATH=(custom, no user)
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-13-generic root=UUID=50a1d7f2-d90f-40ed-83bc-36a0aba7ceb1 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.13.0-13.33-generic 3.13.5
PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-13-generic N/A
 linux-backports-modules-3.13.0-13-generic N/A
 linux-firmware 1.125
StagingDrivers: rts5139
Tags: trusty staging
Uname: Linux 3.13.0-13-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

_MarkForUpload: True
dmi.bios.date: 10/25/2013
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A12
dmi.board.name: 06RYX8
dmi.board.vendor: Dell Inc.
dmi.board.version: A02
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: A12
dmi.modalias: dmi:bvnDellInc.:bvrA12:bd10/25/2013:svnDellInc.:pnInspiron3521:pvrA12:rvnDellInc.:rn06RYX8:rvrA02:cvnDellInc.:ct8:cvrA12:
dmi.product.name: Inspiron 3521
dmi.product.version: A12
dmi.sys.vendor: Dell Inc.

zebul666 (zebul666) wrote :
zebul666 (zebul666) on 2014-02-15
description: updated
description: updated

zebul666, thank you for reporting this and helping make Ubuntu better. This would not be an issue with crda, as it is an agent triggered to run by the kernel. The fact your computer does not automatically sense and adjust the regulatory domain to your locale would be a kernel issue. Hence, could you please confirm this issue exists with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ . If the issue remains, while ethernet connected, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux REPLACE-WITH-BUG-NUMBER

If reproducible, could you also please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-3.14-rc2

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in crda (Ubuntu):
importance: Undecided → Low
status: New → Incomplete
affects: crda (Ubuntu) → linux (Ubuntu)
tags: added: needs-kernel-logs needs-upstream-testing

Gwell, I am going to follow all this **** process but I'd rather think it"s
a configuration issue than a kernel issue. Given, for example, that it
comes with 12.04 LTS too.

you are clouding the issue ?

2014-02-15 23:08 GMT+01:00 Christopher M. Penalver <
<email address hidden>>:

> zebul666, thank you for reporting this and helping make Ubuntu better.
> This would not be an issue with crda, as it is an agent triggered to run
> by the kernel. The fact your computer does not automatically sense and
> adjust the regulatory domain to your locale would be a kernel issue.
> Hence, could you please confirm this issue exists with the latest
> development release of Ubuntu? ISO images are available from
> http://cdimage.ubuntu.com/daily-live/current/ . If the issue remains,
> while ethernet connected, could you please run the following command in
> the development release from a Terminal
> (Applications->Accessories->Terminal), as it will automatically gather
> and attach updated debug information to this report:
>
> apport-collect -p linux REPLACE-WITH-BUG-NUMBER
>
> If reproducible, could you also please test the latest upstream kernel
> available (not the daily folder) following
> https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional
> upstream developers to examine the issue. Once you've tested the upstream
> kernel, please comment on which kernel version specifically you tested. If
> this bug is fixed in the mainline kernel, please add the following tags:
> kernel-fixed-upstream
> kernel-fixed-upstream-VERSION-NUMBER
>
> where VERSION-NUMBER is the version number of the kernel you tested. For
> example:
> kernel-fixed-upstream-3.14-rc2
>
> This can be done by clicking on the yellow circle with a black pencil icon
> next to the word Tags located at the bottom of the bug description. As
> well, please remove the tag:
> needs-upstream-testing
>
> If the mainline kernel does not fix this bug, please add the following
> tags:
> kernel-bug-exists-upstream
> kernel-bug-exists-upstream-VERSION-NUMBER
>
> As well, please remove the tag:
> needs-upstream-testing
>
> Once testing of the upstream kernel is complete, please mark this bug's
> Status as Confirmed. Please let us know your results. Thank you for your
> understanding.
>
> ** Changed in: crda (Ubuntu)
> Importance: Undecided => Low
>
> ** Changed in: crda (Ubuntu)
> Status: New => Incomplete
>
> ** Package changed: crda (Ubuntu) => linux (Ubuntu)
>
> ** Tags added: needs-kernel-logs needs-upstream-testing
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1280636
>
> Title:
> Regulatory domain is not set by default after install for wifi
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1280636/+subscriptions
>
>

I have just installed 14.04 daily from 2014-02-16.
It is just the same. Channels 12 and 13 are not availalables.

I have forgotten to mention that my wireless card is not recognised out of the box by the unbuntu installer. nor once the installation as been done. Should I open a new bug report about that ? ;-)

I had to install bcmwl-kernel-source by hand to get my wireless card to be recognized.

I doubt installling more current kernel will make any difference. I, will, however do that as asked to go down that road.

tags: added: trusty
tags: added: needs-apport-collect
removed: needs-kernel-logs

apport information

tags: added: apport-collected staging
description: updated

apport information

zebul666 (zebul666) wrote : CRDA.txt

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

latest info above is from ubuntu 14.04 (beta ?) dated 2014-03-01

the bug is still there, even though the driver is installed automatically for the wifi card now, and the bluetooth is working too ;-)

zebul666 (zebul666) on 2014-03-01
tags: added: kernel-bug-exists-upstream-3.14rc4
removed: needs-apport-collect needs-upstream-testing
tags: added: kernel-bug-exists-upstream-3.14-rc4
removed: kernel-bug-exists-upstream-3.14rc4
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
zebul666 (zebul666) wrote :

As a side note, even after "iw reg set FR", I can't see or connect to this wifi of the big yellow M.
Even though "iw list" shows that channel 12 and 13 are available.

So I don't know what's wrong ? the fast food ?

tags: added: latest-bios-a12
summary: - Regulatory domain is not set by default after install for wifi
+ 14e4:4365 [Dell Inspiron 15 3521] Regulatory domain is not set by
+ default after install for wifi

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

  With the recent release of this Ubuntu release, would like to confirm if this bug is still present. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get dist-upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.13.0-24.46
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in crda (Ubuntu):
status: New → Confirmed
Laryllan (laryllan) wrote :

@zebul666
The wl kernel module seems not to honor the crda setting. It doesn't connect to high channels at all.
See https://bugs.launchpad.net/ubuntu/+source/bcmwl/+bug/1574196

Nevertheless, Ubuntu still doesn't set the regulatory domain automatically.
I'm using 17.10.

zebul666 (zebul666) wrote :

Ubuntu 18.04 still does not set the regulatory domain during install.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers